
Foreman - Bug #12249

Use puppet default on matchers causes smart class parameter default to be sent

10/22/2015 03:51 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.4

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2879

  

Description

Example:

Smart class parameter with default value "123"

If you add a matcher for hostgroup=example with no value and check use_puppet_default you expect the hostgroup example to get

no value for the parameter and leave the value up to puppet.

Instead, the YAML shows that the default value is sent.

This occurs even if the smart class parameter is set the use_puppet_default

Related issues:

Has duplicate Foreman - Bug #13056: Puppet Parameters: Use Puppe Default over... Duplicate 01/07/2016

Associated revisions

Revision 37f3e0d0 - 11/02/2015 06:04 AM - Ori Rabin

Fixes #12249 - Use puppet default on specific matchers does not send default value to puppet

Revision 1283270b - 01/19/2016 08:05 AM - Ori Rabin

Fixes #12249 - Use puppet default on specific matchers does not send default value to puppet

(cherry picked from commit 37f3e0d067b8ce542b211cbe1bad0773a2ea685f)

History

#1 - 10/22/2015 10:15 AM - Tomer Brisker

This has been checked to be since at least 1.8.4, possibly occurred even earlier.

#2 - 10/29/2015 11:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ori Rabin

- Pull request https://github.com/theforeman/foreman/pull/2879 added

- Pull request deleted ()

#3 - 11/02/2015 06:05 AM - Dominic Cleal

- translation missing: en.field_release set to 104

#4 - 11/02/2015 07:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 37f3e0d067b8ce542b211cbe1bad0773a2ea685f.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/37f3e0d067b8ce542b211cbe1bad0773a2ea685f


#5 - 01/08/2016 04:29 AM - Dominic Cleal

- Has duplicate Bug #13056: Puppet Parameters: Use Puppe Default override via Hostgroup Not Inheriting to Host added
